	SUBROUTINE VTDSR(ISTAT)
C
C	Fonction:	permet a l'utilisateur de connaitre l'etat du
C			terminal.
C
C	Arguments:	ISTAT est une variable entiere retournee par le
C			sous-programme et qui indique l'etat du terminal
C
C			ISTAT	Signification
C			  0	OK
C			  1	Probleme
C			 -1	Echec de l'interrogation
C
	BYTE CHAR(5),INCHR(4),IBYTE
	DATA CHAR/27,'[','5','n',0/
	JSW=IPEEK("44)
	CALL IPOKE("44,"10000.OR.JSW)	!Mode special
	CALL OUTSTR(CHAR)		!Envoi de la sequence "Escape"
		DO 10 I=1,4			!
1		ITEST=ITTINR()			!
		IF (ITEST.LT.0) GOTO 1		!Boucle de
		IBYTE=ITEST			!reception de
		INCHR(I)=IBYTE			!la reponse
10		CONTINUE			!
C------ Decodage de la reponse ------------------------------------------------
	IF ((INCHR(3).NE.'0').AND.(INCHR(3).NE.'3')) ISTAT = -1
	IF (INCHR(3).EQ.'0') ISTAT = 0
	IF (INCHR(3).EQ.'3') ISTAT = 1
	RETURN
	END
